Page MenuHomePhabricator

Homepage: remove intro text from mobile homepage
Closed, ResolvedPublic

Description

After discussing many options for how to recoup the large amount of space taken up by the intro text on mobile ("This is your homepage, where you can find help with editing, get ideas of what to work on, and see the impact of your edits."), we've decided to remove it completely. See this task's comments for the discussion and reasoning.

Event Timeline

Cntlsn created this task.May 13 2019, 5:10 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 13 2019, 5:10 PM
Cntlsn renamed this task from Homepage [mobile]: remove homepage intro text after first visit to Mobile Homepage: remove homepage intro text after first visit.May 14 2019, 9:35 AM
Cntlsn added a project: Mobile.
MMiller_WMF renamed this task from Mobile Homepage: remove homepage intro text after first visit to Homepage: remove mobile homepage intro text after first visit.May 14 2019, 4:08 PM
MMiller_WMF added subscribers: JTannerWMF, Catrope, SBisson and 6 others.
Cntlsn renamed this task from Homepage: remove mobile homepage intro text after first visit to Homepage: hide intro text after first visit.May 20 2019, 2:36 PM
Cntlsn updated the task description. (Show Details)
Cntlsn updated the task description. (Show Details)May 22 2019, 4:54 PM

Proposed mockups:

Specifications:

  • Homepage intro text would be removed after first visit
MMiller_WMF removed Cntlsn as the assignee of this task.May 28 2019, 11:19 PM

This sounds good to me. This is ready for development.

Change 514322 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/GrowthExperiments@master] WIP: Don't output subtitle on mobile if user has visited already

https://gerrit.wikimedia.org/r/514322

I would like to note here that I think it's a very bold assumption that users will actually read the intro text on the very first impression of the homepage. There's a lot going on on the page and the lighter gray and small font indicates that this is a more details explanation (like a fine print) that may be consumed later on when the user is ready to go deeper.

I think the text is pretty redundant with the page so we could get rid of it completely.

Cntlsn renamed this task from Homepage: hide intro text after first visit to Homepage: hide intro text after first visit on mobile homepage.Jun 4 2019, 5:52 PM
Cntlsn added a comment.Jun 4 2019, 5:58 PM

I agree that it's possible that users won't read it on their first visit.
On mobile it's pretty prominent though (just to make sure we're aligned on the fact that it's only for mobile I have renamed the task). And during user tests most users seemed to read it (it's also true that testers are a bit biased since we asked them to describe what they would see in the homepage...)

It won't be very helpful after the first visit anyway (unless the firs visit is just casual, like lasting less than a few seconds), but I think it would be cool to have it there for the ones who actually lands on the page and pay attention to it.

For the record, I have also designed a dismissable version of that text, but I didn't like so much to require a user interaction on it.
@MMiller_WMF any thoughts?

We had a team discussion just now in which we discussed a few additional options, including:

  • Shortening the text.
  • A toast or GuidedTour-style thing that explains the homepage.
  • A little "i" icon to tap that brings up the explanation.

@Cntlsn is going to let us know tomorrow how we should proceed.

Cntlsn added a comment.Jun 5 2019, 5:31 PM

removing the text is also an option

Cntlsn added a comment.Jun 6 2019, 1:41 PM

I was trying to trace back to the decision about adding the intro text to the homepage T217927, and I believe it was added because of concern that the modules were not self-explanatory enough.

Since we now have introduced supplementary informative copy to most of the modules, I think the homepage and its modules can be considered more self-explanatory, hence we could remove the page intro text.

In case we don't agree, or are still concerned about this decision, I would suggest to run a quick A/B testing.

@MMiller_WMF @SBisson

MMiller_WMF renamed this task from Homepage: hide intro text after first visit on mobile homepage to Homepage: remove intro text from mobile homepage.Jun 6 2019, 8:38 PM
MMiller_WMF updated the task description. (Show Details)

Change 516311 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/GrowthExperiments@master] Remove subtitle

https://gerrit.wikimedia.org/r/516311

Change 514322 abandoned by Catrope:
WIP: Don't output subtitle on mobile if user has visited already

Reason:
Superseded by https://gerrit.wikimedia.org/r/c/mediawiki/extensions/GrowthExperiments/ /516311

https://gerrit.wikimedia.org/r/514322

Change 516311 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Remove subtitle

https://gerrit.wikimedia.org/r/516311

previouslycurrent
ovasileva moved this task from Needs triage to Triaged on the Mobile board.Jun 11 2019, 1:49 PM
MMiller_WMF closed this task as Resolved.Jun 11 2019, 7:53 PM

Looks good to me.